Drop mysql-comunity as per p.mask entry. No bug number attached nor searchable in...
authorTomas Chvatal <scarabeus@gentoo.org>
Mon, 5 Jul 2010 08:55:36 +0000 (08:55 +0000)
committerTomas Chvatal <scarabeus@gentoo.org>
Mon, 5 Jul 2010 08:55:36 +0000 (08:55 +0000)
16 files changed:
dev-db/mysql-community/ChangeLog [deleted file]
dev-db/mysql-community/Manifest [deleted file]
dev-db/mysql-community/files/my.cnf-4.1 [deleted file]
dev-db/mysql-community/files/my.cnf-5.1 [deleted file]
dev-db/mysql-community/metadata.xml [deleted file]
dev-db/mysql-community/mysql-community-5.0.27-r1.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.0.45.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.0.51a.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.0.67.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.0.75-r1.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.0.75.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.0.77-r1.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.0.77.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.1.14_beta-r1.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.1.15_beta.ebuild [deleted file]
dev-db/mysql-community/mysql-community-5.1.21_beta.ebuild [deleted file]

diff --git a/dev-db/mysql-community/ChangeLog b/dev-db/mysql-community/ChangeLog
deleted file mode 100644 (file)
index 38ea478..0000000
+++ /dev/null
@@ -1,184 +0,0 @@
-# ChangeLog for dev-db/mysql-community
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/ChangeLog,v 1.31 2010/03/24 20:39:03 robbat2 Exp $
-
-# -------------------------
-# This package is now obsolete. All users should migrate to dev-db/mysql!
-# -------------------------
-
-  24 Mar 2010; Robin H. Johnson <robbat2@gentoo.org> files/my.cnf-5.1:
-  Missed copying back last version of the new my.cnf from my personal
-  overlay, and caused bug #311151.
-
-  24 Mar 2010; Robin H. Johnson <robbat2@gentoo.org> +files/my.cnf-5.1:
-  Just add new config files that gets rid of some deprecated warnings, so
-  the eclass does not break anything.
-
-  23 Feb 2010; Robin H. Johnson <robbat2@gentoo.org> metadata.xml:
-  Resync the metadata.xml between mysql packages.
-
-  07 Jul 2009; Robin H. Johnson <robbat2@gentoo.org> metadata.xml:
-  USE=community/profiling descriptions for metadata. Additionally, this
-  package is now obsolete, as upstream have re-merged community and
-  enterprise lines.
-
-*mysql-community-5.0.77-r1 (12 Apr 2009)
-
-  12 Apr 2009; Robin H. Johnson <robbat2@gentoo.org>
-  +mysql-community-5.0.77-r1.ebuild:
-  Bug #238487, lots of patching fun to enable building of a shared embedded
-  libmysqld for Amarok. Ported from the mysql-5.0.76 patch.
-
-*mysql-community-5.0.77 (28 Feb 2009)
-
-  28 Feb 2009; Robin H. Johnson <robbat2@gentoo.org>
-  +mysql-community-5.0.77.ebuild:
-  Version bump.
-
-*mysql-community-5.0.75-r1 (12 Feb 2009)
-*mysql-community-5.0.75 (12 Feb 2009)
-
-  12 Feb 2009; Robin H. Johnson <robbat2@gentoo.org>
-  +mysql-community-5.0.75.ebuild, +mysql-community-5.0.75-r1.ebuild:
-  Version bump using the latest Gentoo patchset. Also include the Percona
-  patchset in the -r1 ebuild per bug #237721.
-
-  18 Nov 2008; Robin H. Johnson <robbat2@gentoo.org>
-  mysql-community-5.0.67.ebuild:
-  Update archive_gis test disables.
-
-  14 Nov 2008; Robin H. Johnson <robbat2@gentoo.org>
-  mysql-community-5.0.27-r1.ebuild, mysql-community-5.0.45.ebuild,
-  mysql-community-5.0.51a.ebuild, mysql-community-5.0.67.ebuild,
-  mysql-community-5.1.14_beta-r1.ebuild, mysql-community-5.1.15_beta.ebuild,
-  mysql-community-5.1.21_beta.ebuild:
-  Repoman cleanups.
-
-  14 Nov 2008; Robin H. Johnson <robbat2@gentoo.org>
-  mysql-community-5.0.67.ebuild:
-  archive_gis is still broken on big_endian.
-
-  14 Nov 2008; Robin H. Johnson <robbat2@gentoo.org> Manifest:
-  Repoman bug maybe.
-
-*mysql-community-5.0.67 (14 Nov 2008)
-
-  14 Nov 2008; Robin H. Johnson <robbat2@gentoo.org> files/my.cnf-4.1,
-  +mysql-community-5.0.67.ebuild:
-  Version bump for mysql-community, also handle file-per-table for innodb
-  bug #237058.
-
-  05 Aug 2008; Ulrich Mueller <ulm@gentoo.org> metadata.xml:
-  Add USE flag description to metadata wrt GLEP 56.
-
-*mysql-community-5.0.51a (10 Mar 2008)
-
-  10 Mar 2008; Robin H. Johnson <robbat2@gentoo.org>
-  +mysql-community-5.0.51a.ebuild:
-  Plain version bump, based on the main 5.0.56 ebuild. More patches in a later
-  revision.
-
-*mysql-community-5.1.21_beta (02 Oct 2007)
-
-  02 Oct 2007; Robin H. Johnson <robbat2@gentoo.org>
-  +mysql-community-5.1.21_beta.ebuild:
-  Bug #181686, version bump.
-
-*mysql-community-5.0.45 (15 Jul 2007)
-
-  15 Jul 2007; Robin H. Johnson <robbat2@gentoo.org>
-  +mysql-community-5.0.45.ebuild:
-  Version bump of mysql-community, per security bug #185333, bump request
-  #178265. Also cleans up the src_test per bug #161885. If you want to use
-  src_test now, you MUST have FEATURES=userpriv. See the main
-  dev-db/mysql/ChangeLog for more details.
-
-  14 Jul 2007; Robin H. Johnson <robbat2@gentoo.org>
-  mysql-community-5.0.27-r1.ebuild:
-  Clean up 5.0.27-r1 to match enterprise 5.0.26-r2 build process.
-
-  06 Mar 2007; Luca Longinotti <chtekk@gentoo.org>
-  -mysql-community-5.1.15_alpha-r90.ebuild,
-  -mysql-community-5.1.15_alpha20061231-r61.ebuild,
-  mysql-community-5.1.15_beta.ebuild:
-  Cleanup old alpha versions. Fix bug #169618.
-
-*mysql-community-5.1.15_beta (04 Mar 2007)
-
-  04 Mar 2007; Francesco Riosa <vivo@gentoo.org>
-  +mysql-community-5.1.15_beta.ebuild:
-  version bump
-
-  12 Jan 2007; Luca Longinotti <chtekk@gentoo.org> -files/logrotate.mysql,
-  mysql-community-5.0.27-r1.ebuild, mysql-community-5.1.14_beta-r1.ebuild,
-  mysql-community-5.1.15_alpha-r90.ebuild,
-  mysql-community-5.1.15_alpha20061231-r61.ebuild:
-  Start cleanup.
-
-*mysql-community-5.1.15_alpha20061231-r61 (05 Jan 2007)
-*mysql-community-5.1.14_beta-r1 (05 Jan 2007)
-*mysql-community-5.0.27-r1 (05 Jan 2007)
-
-  05 Jan 2007; Francesco Riosa <vivo@gentoo.org> -files/mysql.conf.d,
-  -files/mysql.rc6, -files/mysqlmanager.conf.d, -files/mysqlmanager.rc6,
-  -mysql-community-5.0.27.ebuild, +mysql-community-5.0.27-r1.ebuild,
-  -mysql-community-5.1.14_beta.ebuild,
-  +mysql-community-5.1.14_beta-r1.ebuild,
-  -mysql-community-5.1.15_alpha20061231-r60.ebuild,
-  +mysql-community-5.1.15_alpha20061231-r61.ebuild:
-  force revision bump, needed to fix/discover bugs introuduced during last
-  working days.
-
-  05 Jan 2007; Francesco Riosa <vivo@gentoo.org>
-  mysql-community-5.0.27.ebuild, mysql-community-5.1.14_beta.ebuild,
-  mysql-community-5.1.15_alpha-r90.ebuild,
-  mysql-community-5.1.15_alpha20061231-r60.ebuild:
-  bug #156301 => mysql_config has now stripped cflags (version 4.0.x and 4.1.21
-  still unpatched)
-  bug #160059 => WANT_AUTOCONF and WANT_AUTOMAKE are set to "latest"
-
-*mysql-community-5.1.15_alpha20061231-r60 (03 Jan 2007)
-*mysql-community-5.1.15_alpha-r90 (03 Jan 2007)
-
-  03 Jan 2007; Francesco Riosa <vivo@gentoo.org>
-  -mysql-community-4.1.22.ebuild, mysql-community-5.0.27.ebuild,
-  -mysql-community-5.1.13_alpha20061018.ebuild,
-  mysql-community-5.1.14_beta.ebuild,
-  +mysql-community-5.1.15_alpha-r90.ebuild,
-  +mysql-community-5.1.15_alpha20061231-r60.ebuild:
-  Added "pbxt" USE flag, better using testsuite
-
-*mysql-community-4.1.22 (10 Dec 2006)
-
-  10 Dec 2006; Francesco Riosa <vivo@gentoo.org>
-  +mysql-community-4.1.22.ebuild:
-  version bump for 4.1
-
-*mysql-community-5.1.14_beta (10 Dec 2006)
-
-  10 Dec 2006; Francesco Riosa <vivo@gentoo.org>
-  +mysql-community-5.1.14_beta.ebuild:
-  version bump
-
-  09 Dec 2006; Francesco Riosa <vivo@gentoo.org>
-  mysql-community-5.0.27.ebuild,
-  mysql-community-5.1.13_alpha20061018.ebuild:
-  split SRC_URIs outside the eclass
-
-  24 Nov 2006; Luca Longinotti <chtekk@gentoo.org>
-  mysql-community-5.1.13_alpha20061018.ebuild:
-  Readd sparc-fbsd keyword.
-
-  23 Nov 2006; Luca Longinotti <chtekk@gentoo.org> +files/logrotate.mysql,
-  +files/mysql.rc6, mysql-community-5.1.13_alpha20061018.ebuild:
-  Add missing files, add tests warn msg for 5.1.
-
-*mysql-community-5.1.13_alpha20061018 (23 Nov 2006)
-*mysql-community-5.0.27 (23 Nov 2006)
-
-  23 Nov 2006; Francesco Riosa <vivo@gentoo.org> +files/my.cnf-4.1,
-  +files/mysql.conf.d, +files/mysqlmanager.conf.d, +files/mysqlmanager.rc6,
-  +metadata.xml, +mysql-community-5.0.27.ebuild,
-  +mysql-community-5.1.13_alpha20061018.ebuild:
-  Starting with mysql-5.0.27 MySQL is splitted in enterprise and community
-
diff --git a/dev-db/mysql-community/Manifest b/dev-db/mysql-community/Manifest
deleted file mode 100644 (file)
index f60b614..0000000
+++ /dev/null
@@ -1,36 +0,0 @@
-AUX my.cnf-4.1 4245 RMD160 5783022319074444a50d11b4a023e3226c1937f0 SHA1 8ceac9259f63cb56c376f8ef563183b8f0812f52 SHA256 9ad20532a6b8cae01af353207c6132e2f9055d500f26080a3f620337654963d0
-AUX my.cnf-5.1 4209 RMD160 27d1a702df6ba3b963417e69c58579efc0f00c6d SHA1 7e9f6ef47bdd2a8bd03b33cfbce3c52e50c8b980 SHA256 66386055afa97d66ac6d9e30c12ed289649b234dca662419236be24c9b768aac
-DIST mysql-5.0.27.tar.gz 25867740 RMD160 3de75b959d04e002b2e4cfe322abdb48bf2f80fd SHA1 656de9c03f07c2371f40277076ec2fc6eac51ec8 SHA256 08dc9a7b4adb766b2fb8390804147822f1772aa4bd2e06ca7764bc85010c73a7
-DIST mysql-5.0.45.tar.gz 24433261 RMD160 ee6717c65dc7bb6b5b596b90ef6c47c7fdebf5fb SHA1 a5fba8e004acc43ac1a576d728f10215f54ebe20 SHA256 e4443d8dc859ed53bd9f3bef143ce30c7f5dee66a02748e9a003136be25e0060
-DIST mysql-5.0.51a.tar.gz 27588558 RMD160 869754150ea42f2fbad36f77eb9a0e7bb6e3892b SHA1 adc83bcae6d04fccd6360dc3aa37c64aaa479a3d SHA256 59b06f6a948430c7254760e0bf16f1447ee14d0142073f58fd2e68c327330b68
-DIST mysql-5.0.67.tar.gz 28370810 RMD160 05d38a5f8d91cb4dac1ee446af96b28163bd3722 SHA1 168090a4698a3a5efa2f2c9380a4352d4433d377 SHA256 7b64e609849ff64f2fcb82a2b72883f79adc893e9f6fc0d35465ef7d97542058
-DIST mysql-5.0.75.tar.gz 32514150 RMD160 b3044b7f18f27a2b55933f7fc082de9ed94d0bb9 SHA1 9deae85a6abf7913f05d89db4b745acb2512bf78 SHA256 c0985da988217e88456c39d2ab2f24d802f5ea5f2a3190dc0011447550bdc2b9
-DIST mysql-5.0.77.tar.gz 34453169 RMD160 664c91bf8f7e2c292066a83a83cc60f56f890516 SHA1 dbab8f617d73001922086c1d20fa8c65f16f0aea SHA256 a9311915858279c3832100c42e4e2b12790ab884dc3124bc45355aaf424a15e8
-DIST mysql-5.1.14-beta.tar.gz 23640648 RMD160 2acaa1393967a6fd57f9c37f3eef8dac62eb7138 SHA1 52533fcd07fbce2269a3c14f7314deada6dcf0c1 SHA256 6b4990a784169560fd487d24c69efba1f73662500d0d3132375d8b5cd026bb67
-DIST mysql-5.1.15-beta.tar.gz 22150362 RMD160 a171efd3984db8033c5f7208193bcc93675f21e7 SHA1 a6a16e223d4d8a0e01b5da86c7ac09193c50d37e SHA256 8ff4f1054060329adb0584cef5c145fbb8ba62b573cb952381e4dc9a9b60ad66
-DIST mysql-5.1.21-beta.tar.gz 28306579 RMD160 111328f8795124940b1feaf2d840684d3e46710b SHA1 50ceb0df1d37a1eb94d46f60314edde2d7608bda SHA256 7a63307446736692a2908fdb67d9f1b6fe1bfa3206f5686f1b12fc8d698fda58
-DIST mysql-extras-20070105.tar.bz2 50005 RMD160 abf1f8ebab8ecdfdb5ebe9ca55076f39ab492acb SHA1 7f4dbc3d6c20fe953bf6e936a58343a229398ca0 SHA256 17697bf70acffd0eeefd976b5ef06dd36080273bf7e805b51a31d72f5f2c5172
-DIST mysql-extras-20070217.tar.bz2 50155 RMD160 fd8cb330772fcc77bc3ac501a899f8c704d0d798 SHA1 2ce58115db0f703d98c4f7b0c0b1835123c07386 SHA256 401a8fed36f87d81d53c5c392a017d85a3a27c1694e38350ba30d68732197ea0
-DIST mysql-extras-20070710.tar.bz2 52626 RMD160 e0f39f1fd35012fb3e2a431379d7b15389e05187 SHA1 15b04104a61c61c216e85508b711e61855ba3ee4 SHA256 980a5fa500f4136e13bf434f167995248b9c8f96a2c42c96e4d7ad60246ad7fc
-DIST mysql-extras-20070916.tar.bz2 52095 RMD160 70f91453700052c3c3e132840055274f02963a83 SHA1 70b96849d79efc119c90a78a8bca1a2d8daa1711 SHA256 b1a1b2e962f0b2d5d39f4e29a9af78898d4adcfc4a00c428934f11ebba5ca4ff
-DIST mysql-extras-20080310.tar.bz2 106499 RMD160 ddc48002d0b5d0d03d1b88dbf037757a3aa38994 SHA1 c5584a0ff7121722c9e9359e1fdcc8744a2d215c SHA256 4b963976b26607827e61187a72589eefefe84bc811da37f7bfa07779bdb61b59
-DIST mysql-extras-20080601.tar.bz2 106566 RMD160 6e6470c8908e0e944ff8a71886db6e80af9465b0 SHA1 a462cf953452283bafd785ac9c109104b673bbd1 SHA256 de7bb63eb6de3b7b14d8d65b5248258b18e00524eac08dddf373f98361402ed9
-DIST mysql-extras-20090211-1206Z.tar.bz2 111217 RMD160 243e1ace611f07f30c148c272d064fc916a47821 SHA1 2ba4041b6749575380fda0e6ae551284aaefcbfc SHA256 9a9a40aac283059492b10ff3dc059a90990dc3b7963405054ead1c750d63d081
-DIST mysql-extras-20090212-0556Z.tar.bz2 211564 RMD160 7641929dd98bc0b5b6fbe76a9b6c731334a3e6c6 SHA1 8f09c516d93390b5cad85387acf1d8d52f0c59b0 SHA256 f20a1483f04fbf8a44d1bce921813da644fc3a1dd0fe45929ef463d5600d2eba
-DIST mysql-extras-20090228-0714Z.tar.bz2 254114 RMD160 06ffc92f35e7d40910dcb66a80d1f8078caf7f0f SHA1 773e2bc42f8930a45d78f47435307644f554aa06 SHA256 9c7fd45ac4207556c55d5ba7f921831de50cb4cfe1284852b12bd0f548f11fba
-DIST mysql-extras-20090412-0644Z.tar.bz2 251842 RMD160 ec59bac7e056a04821d561133b79de332670f671 SHA1 3e87dc02ddfde094df1cd91271d0cb64ec3dcafc SHA256 264c4d2f39edc844f9ec284c6025a477a6512496d906dfbce882835e4bf0a2a2
-DIST pbxt-0.9.73-beta.tar.gz 2706652 RMD160 a4d974a8519b62868e948966910a84dbded05abe SHA1 f6ed2ba49ec82646581edcb06e054c46a5ba1ded SHA256 a2176d137138d33028c57499b74a79c5f12dcd958c3e7f1aad67bb4b7b24674d
-DIST pbxt-0.9.8-beta.tar.gz 2828272 RMD160 c0d5f0a67cc7cddecce9e198afe0ef3521a52cb4 SHA1 ada001c5e71dd1c6c201ebe5fafb67b359f10495 SHA256 976cf0539f2756e6a3b81014161f5ae8b77261aee6455c46a7e5de1054708b37
-EBUILD mysql-community-5.0.27-r1.ebuild 2065 RMD160 ecb37de175bfa063f3da81ff5ec553517f2a6154 SHA1 c6de0af065df49dd968a45013d9cd138e7556e29 SHA256 07992f25f92ef317fc817ed963331bd7fc879d87ee7cc642be97b0a68b519dc5
-EBUILD mysql-community-5.0.45.ebuild 2048 RMD160 bc87d106684e5d3c4b2b732b1c1e49dbc2e9b726 SHA1 9a2bab500fe17bd76d738973acdfe734b8bb2b36 SHA256 20fe8cca1309411ca15a578c3d59c8a647b63a194b4f58cb0dc84b70753e1252
-EBUILD mysql-community-5.0.51a.ebuild 3281 RMD160 3f70696b23e56aaf9f4585e34f3bd85575b352b6 SHA1 b80d19ce2d693c1b4077c4626b667928e8fba99b SHA256 26e76dbdca8f8c2d9b970ca62c1a50c2e9c9d24175c615deac1d882ad9cb80e1
-EBUILD mysql-community-5.0.67.ebuild 3709 RMD160 3c1c497b93d70d6ab4d51fe9e6634dbddd201712 SHA1 b91122039c12a3559ce41c65dc9ee8e8d1d6950a SHA256 9a567202c203c72bc2b3d71766c5c1a4591a217beff22a81863f6e1f85038390
-EBUILD mysql-community-5.0.75-r1.ebuild 4946 RMD160 7baa27f295ad8200272621e68ceeb79dfa515863 SHA1 249308292e49fa88a53daa72c0f88fd2b23df178 SHA256 0a66065718e3a3771e0cbe71ca5a42a4a3ec1e00752c094fcbb70001c21f3e38
-EBUILD mysql-community-5.0.75.ebuild 4943 RMD160 7a5ba93dd5f6460fee0fb4dc50f975faa84d6fc7 SHA1 88a08bc254c42de09f8811216d088ee293f7ce45 SHA256 4698dfdc4e90e02b62384b189d29fe0d9941dcd8379f42c84acfab07eb0f3b0d
-EBUILD mysql-community-5.0.77-r1.ebuild 4946 RMD160 80ac1257d2769c436d10946d9fcca9b113ce0eeb SHA1 9bdc2582dc71aeac28f62f31306616a91ef25e56 SHA256 a8110c6739d1dbb519dd79a3fd6a9c6a9b8824c62ed8db3196642f2b93d0a45f
-EBUILD mysql-community-5.0.77.ebuild 4943 RMD160 8776ca0670740647929a04ccfb010c03b7a16930 SHA1 b5c201b8b771e4673b43d6f0e324e521c2ad82f8 SHA256 4702407a6c34cc310dfc313c0749d4d5634bb9669504f5c3df2a58b63cd0d14e
-EBUILD mysql-community-5.1.14_beta-r1.ebuild 2243 RMD160 fce130cbbf40a21ad00caac4507e4ec5d9d5e2ae SHA1 a6efcc19ba925789127da2498a0b5f3656ceb346 SHA256 6e6921b7e0e9f8df5fac72130c887e523aa0e89bddc9df30aa8649011d5ed166
-EBUILD mysql-community-5.1.15_beta.ebuild 2238 RMD160 ac8814006e3cef0a9c38b46043b6a39cf5d95e5b SHA1 5d39e06de717de60ab2e27a2f62e2ec08cda3633 SHA256 de9d28c7b0f8b8ebebaf67b63025a1b83815cc2107d03d8817b18598cf11b168
-EBUILD mysql-community-5.1.21_beta.ebuild 2417 RMD160 3e8a6348c0f0d1ce4e88e88c60eb70abe15f9cc7 SHA1 1fc209435fe778389bf65c7baced30d244315395 SHA256 de6226108483cb459e12a013e0cb5d3b58f2269fe00946f1c83e821da2729411
-MISC ChangeLog 7017 RMD160 70fd094464c16063eccfc065293524e5eefdbd57 SHA1 945a8a15b0aed4e32a0451de8cf4d382cd3b194f SHA256 39733b22c88503ed85232bfef7f022799d101f14cba5488bee339a814ea441b2
-MISC metadata.xml 1389 RMD160 711fe2927a95bff06abbba5209a1e03fd99ba7b5 SHA1 adaf717edeadad3ebe8e7b486d75477b2ec5433b SHA256 562726facccb1c1808b74c0e17f052ca03c92c0ada689375e527b2a5405a5a0a
diff --git a/dev-db/mysql-community/files/my.cnf-4.1 b/dev-db/mysql-community/files/my.cnf-4.1
deleted file mode 100644 (file)
index b745c23..0000000
+++ /dev/null
@@ -1,147 +0,0 @@
-# /etc/mysql/my.cnf: The global mysql configuration file.
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/files/my.cnf-4.1,v 1.2 2008/11/14 03:34:01 robbat2 Exp $
-
-# The following options will be passed to all MySQL clients
-[client]
-#password                                      = your_password
-port                                           = 3306
-socket                                         = /var/run/mysqld/mysqld.sock
-
-[mysql]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqladmin]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqlcheck]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqldump]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqlimport]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqlshow]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[myisamchk]
-character-sets-dir=/usr/share/mysql/charsets
-
-[myisampack]
-character-sets-dir=/usr/share/mysql/charsets
-
-# use [safe_mysqld] with mysql-3
-[mysqld_safe]
-err-log                                                = /var/log/mysql/mysql.err
-
-# add a section [mysqld-4.1] or [mysqld-5.0] for specific configurations
-[mysqld]
-character-set-server           = utf8
-default-character-set          = utf8
-user                                           = mysql
-port                                           = 3306
-socket                                                 = /var/run/mysqld/mysqld.sock
-pid-file                                       = /var/run/mysqld/mysqld.pid
-log-error                                      = /var/log/mysql/mysqld.err
-basedir                                        = /usr
-datadir                                        = @DATADIR@
-skip-locking
-key_buffer                                     = 16M
-max_allowed_packet                     = 1M
-table_cache                            = 64
-sort_buffer_size                       = 512K
-net_buffer_length                      = 8K
-read_buffer_size                       = 256K
-read_rnd_buffer_size           = 512K
-myisam_sort_buffer_size        = 8M
-language                                       = /usr/share/mysql/english
-
-# security:
-# using "localhost" in connects uses sockets by default
-# skip-networking
-bind-address                           = 127.0.0.1
-
-log-bin
-server-id                                      = 1
-
-# point the following paths to different dedicated disks
-tmpdir                                                 = /tmp/
-#log-update                            = /path-to-dedicated-directory/hostname
-
-# you need the debug USE flag enabled to use the following directives,
-# if needed, uncomment them, start the server and issue 
-# #tail -f /tmp/mysqld.sql /tmp/mysqld.trace
-# this will show you *exactly* what's happening in your server ;)
-
-#log                                           = /tmp/mysqld.sql
-#gdb
-#debug                                         = d:t:i:o,/tmp/mysqld.trace
-#one-thread
-
-# uncomment the following directives if you are using BDB tables
-#bdb_cache_size                                = 4M
-#bdb_max_lock                          = 10000
-
-# the following is the InnoDB configuration
-# if you wish to disable innodb instead
-# uncomment just the next line
-#skip-innodb
-#
-# the rest of the innodb config follows:
-# don't eat too much memory, we're trying to be safe on 64Mb boxes
-# you might want to bump this up a bit on boxes with more RAM
-innodb_buffer_pool_size = 16M
-# this is the default, increase it if you have lots of tables
-innodb_additional_mem_pool_size = 2M
-#
-# i'd like to use /var/lib/mysql/innodb, but that is seen as a database :-(
-# and upstream wants things to be under /var/lib/mysql/, so that's the route
-# we have to take for the moment
-#innodb_data_home_dir          = /var/lib/mysql/
-#innodb_log_arch_dir           = /var/lib/mysql/
-#innodb_log_group_home_dir     = /var/lib/mysql/
-# you may wish to change this size to be more suitable for your system
-# the max is there to avoid run-away growth on your machine
-innodb_data_file_path = ibdata1:10M:autoextend:max:128M
-# we keep this at around 25% of of innodb_buffer_pool_size
-# sensible values range from 1MB to (1/innodb_log_files_in_group*innodb_buffer_pool_size)
-innodb_log_file_size = 5M
-# this is the default, increase it if you have very large transactions going on
-innodb_log_buffer_size = 8M
-# this is the default and won't hurt you
-# you shouldn't need to tweak it
-set-variable = innodb_log_files_in_group=2
-# see the innodb config docs, the other options are not always safe
-innodb_flush_log_at_trx_commit = 1
-innodb_lock_wait_timeout = 50
-innodb_file_per_table
-
-[mysqldump]
-quick
-max_allowed_packet                     = 16M
-
-[mysql]
-# uncomment the next directive if you are not familiar with SQL
-#safe-updates
-
-[isamchk]
-key_buffer                                     = 20M
-sort_buffer_size                       = 20M
-read_buffer                            = 2M
-write_buffer                           = 2M
-
-[myisamchk]
-key_buffer                                     = 20M
-sort_buffer_size                       = 20M
-read_buffer                            = 2M
-write_buffer                           = 2M
-
-[mysqlhotcopy]
-interactive-timeout
diff --git a/dev-db/mysql-community/files/my.cnf-5.1 b/dev-db/mysql-community/files/my.cnf-5.1
deleted file mode 100644 (file)
index 4f94277..0000000
+++ /dev/null
@@ -1,146 +0,0 @@
-# /etc/mysql/my.cnf: The global mysql configuration file.
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/files/my.cnf-5.1,v 1.2 2010/03/24 18:26:40 robbat2 Exp $
-
-# The following options will be passed to all MySQL clients
-[client]
-#password                                      = your_password
-port                                           = 3306
-socket                                         = /var/run/mysqld/mysqld.sock
-
-[mysql]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqladmin]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqlcheck]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqldump]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqlimport]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[mysqlshow]
-character-sets-dir=/usr/share/mysql/charsets
-default-character-set=utf8
-
-[myisamchk]
-character-sets-dir=/usr/share/mysql/charsets
-
-[myisampack]
-character-sets-dir=/usr/share/mysql/charsets
-
-# use [safe_mysqld] with mysql-3
-[mysqld_safe]
-err-log                                                = /var/log/mysql/mysql.err
-
-# add a section [mysqld-4.1] or [mysqld-5.0] for specific configurations
-[mysqld]
-character-set-server           = utf8
-user                                           = mysql
-port                                           = 3306
-socket                                                 = /var/run/mysqld/mysqld.sock
-pid-file                                       = /var/run/mysqld/mysqld.pid
-log-error                                      = /var/log/mysql/mysqld.err
-basedir                                        = /usr
-datadir                                        = @DATADIR@
-skip-external-locking
-key_buffer                                     = 16M
-max_allowed_packet                     = 1M
-table_cache                            = 64
-sort_buffer_size                       = 512K
-net_buffer_length                      = 8K
-read_buffer_size                       = 256K
-read_rnd_buffer_size           = 512K
-myisam_sort_buffer_size        = 8M
-language                                       = /usr/share/mysql/english
-
-# security:
-# using "localhost" in connects uses sockets by default
-# skip-networking
-bind-address                           = 127.0.0.1
-
-log-bin
-server-id                                      = 1
-
-# point the following paths to different dedicated disks
-tmpdir                                                 = /tmp/
-#log-update                            = /path-to-dedicated-directory/hostname
-
-# you need the debug USE flag enabled to use the following directives,
-# if needed, uncomment them, start the server and issue 
-# #tail -f /tmp/mysqld.sql /tmp/mysqld.trace
-# this will show you *exactly* what's happening in your server ;)
-
-#log                                           = /tmp/mysqld.sql
-#gdb
-#debug                                         = d:t:i:o,/tmp/mysqld.trace
-#one-thread
-
-# uncomment the following directives if you are using BDB tables
-#bdb_cache_size                                = 4M
-#bdb_max_lock                          = 10000
-
-# the following is the InnoDB configuration
-# if you wish to disable innodb instead
-# uncomment just the next line
-#skip-innodb
-#
-# the rest of the innodb config follows:
-# don't eat too much memory, we're trying to be safe on 64Mb boxes
-# you might want to bump this up a bit on boxes with more RAM
-innodb_buffer_pool_size = 16M
-# this is the default, increase it if you have lots of tables
-innodb_additional_mem_pool_size = 2M
-#
-# i'd like to use /var/lib/mysql/innodb, but that is seen as a database :-(
-# and upstream wants things to be under /var/lib/mysql/, so that's the route
-# we have to take for the moment
-#innodb_data_home_dir          = /var/lib/mysql/
-#innodb_log_arch_dir           = /var/lib/mysql/
-#innodb_log_group_home_dir     = /var/lib/mysql/
-# you may wish to change this size to be more suitable for your system
-# the max is there to avoid run-away growth on your machine
-innodb_data_file_path = ibdata1:10M:autoextend:max:128M
-# we keep this at around 25% of of innodb_buffer_pool_size
-# sensible values range from 1MB to (1/innodb_log_files_in_group*innodb_buffer_pool_size)
-innodb_log_file_size = 5M
-# this is the default, increase it if you have very large transactions going on
-innodb_log_buffer_size = 8M
-# this is the default and won't hurt you
-# you shouldn't need to tweak it
-innodb_log_files_in_group=2
-# see the innodb config docs, the other options are not always safe
-innodb_flush_log_at_trx_commit = 1
-innodb_lock_wait_timeout = 50
-innodb_file_per_table
-
-[mysqldump]
-quick
-max_allowed_packet                     = 16M
-
-[mysql]
-# uncomment the next directive if you are not familiar with SQL
-#safe-updates
-
-[isamchk]
-key_buffer                                     = 20M
-sort_buffer_size                       = 20M
-read_buffer                            = 2M
-write_buffer                           = 2M
-
-[myisamchk]
-key_buffer                                     = 20M
-sort_buffer_size                       = 20M
-read_buffer                            = 2M
-write_buffer                           = 2M
-
-[mysqlhotcopy]
-interactive-timeout
diff --git a/dev-db/mysql-community/metadata.xml b/dev-db/mysql-community/metadata.xml
deleted file mode 100644 (file)
index d8e0393..0000000
+++ /dev/null
@@ -1,27 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>mysql</herd>
-<!-- 
-Please note that this list is shared between the following packages:
-dev-db/mysql
-dev-db/mysql-community
-dev-db/mariadb (upcoming)
-dev-db/mysql-cluster (upcoming)
--->
-<use>
-  <flag name='big-tables'>Make tables contain up to 1.844E+19 rows</flag>
-  <flag name='cluster'>Add support for NDB clustering (deprecated)</flag>
-  <flag name='community'>Enables the community features from upstream.</flag>
-  <flag name='embedded'>Build embedded server (libmysqld)</flag>
-  <flag name='extraengine'>Add support for alternative storage engines (Archive, CSV, Blackhole, Federated(X), Partition)</flag>
-  <flag name='latin1'>Use LATIN1 encoding instead of UTF8</flag>
-  <flag name='max-idx-128'>Raise the max index per table limit from 64 to 128</flag>
-  <flag name='minimal'>Install client programs only, no server</flag>
-  <flag name='pbxt'>Add experimental support for PBXT storage engine</flag>
-  <flag name='profiling'>Add support for statement profiling (requires USE=community).</flag>
-  <flag name='raid'>Deprecated option, removed in the 5.0 series</flag>
-  <flag name='test'>Install upstream testsuites for end use.</flag>
-  <flag name='xtradb'>Add experimental support for Percona's InnoDB replacement: XtraDB</flag>
-</use>
-</pkgmetadata>
diff --git a/dev-db/mysql-community/mysql-community-5.0.27-r1.ebuild b/dev-db/mysql-community/mysql-community-5.0.27-r1.ebuild
deleted file mode 100644 (file)
index bb2421d..0000000
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.0.27-r1.ebuild,v 1.4 2008/11/14 09:43:04 robbat2 Exp $
-
-MY_EXTRAS_VER="20070105"
-SERVER_URI="mirror://mysql/Downloads/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz"
-
-inherit mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-src_test() {
-       make check || die "make check failed"
-       if ! use "minimal" ; then
-               cd "${S}"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus
-               local t
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # mysqladmin start before dir creation
-               mkdir -p "${S}"/mysql-test/var{,/log}
-
-               if ! hasq "userpriv" ${FEATURES} ; then
-                       mysql_disable_test      "im_daemon_life_cycle"  "fails as root"
-                       mysql_disable_test      "im_life_cycle"                 "fails as root"
-                       mysql_disable_test      "im_options_set"                "fails as root"
-                       mysql_disable_test      "im_options_unset"              "fails as root"
-                       mysql_disable_test      "im_utils"                              "fails as root"
-               fi
-
-               for t in \
-               loaddata_autocom_ndb \
-               ndb_{alter_table{,2},autodiscover{,2,3},basic,bitfield,blob} \
-               ndb_{cache{,2},cache_multi{,2},charset,condition_pushdown,config} \
-               ndb_{database,gis,index,index_ordered,index_unique,insert,limit} \
-               ndb_{loaddatalocal,lock,minmax,multi,read_multi_range,rename,replace} \
-               ndb_{restore,subquery,transaction,trigger,truncate,types,update} \
-               ps_7ndb rpl_ndb_innodb_trans strict_autoinc_5ndb
-               do
-                       mysql_disable_test      "${t}"  "fails with sandbox enabled"
-               done
-
-               use "extraengine" && mysql_disable_test "federated" "fails with extraengine USE"
-
-               make test-force-pl
-               retstatus=$?
-
-               # Just to be sure ;)
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               [[ $retstatus -eq 0 ]] || die "make test failed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.0.45.ebuild b/dev-db/mysql-community/mysql-community-5.0.45.ebuild
deleted file mode 100644 (file)
index 7baf5b4..0000000
+++ /dev/null
@@ -1,66 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.0.45.ebuild,v 1.2 2008/11/14 09:43:04 robbat2 Exp $
-
-MY_EXTRAS_VER="20070710"
-
-inherit toolchain-funcs mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-src_test() {
-       make check || die "make check failed"
-       if ! use "minimal" ; then
-               if ! hasq "userpriv" ${FEATURES} ; then
-                       die "Testing with FEATURES=-userpriv is no longer supported by upstream"
-               fi
-               cd "${S}"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus1
-               local retstatus2
-               local t
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # mysqladmin start before dir creation
-               mkdir -p "${S}"/mysql-test/var{,/log}
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-
-               case ${PV} in
-                       5.0.42)
-                       mysql_disable_test "archive_gis" "Broken in 5.0.42" ;;
-
-                       5.0.44)
-                       [ "$(tc-endian)" == "big" ] && \
-                       mysql_disable_test "archive_gis" "Broken in 5.0.4[45] on big-endian boxes only" ;;
-
-                       5.0.45)
-                       [ "$(tc-endian)" == "big" ] && \
-                       mysql_disable_test "archive_gis" "Broken in 5.0.4[45] on big-endian boxes only" ;;
-               esac
-
-               # We run the test protocols seperately
-               make -j1 test-ns force=--force
-               retstatus1=$?
-               [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
-
-               make -j1 test-ps force=--force
-               retstatus2=$?
-               [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               [[ $retstatus1 -eq 0 ]] || die "test-ns failed"
-               [[ $retstatus2 -eq 0 ]] || die "test-ps failed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.0.51a.ebuild b/dev-db/mysql-community/mysql-community-5.0.51a.ebuild
deleted file mode 100644 (file)
index 25cc2b7..0000000
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.0.51a.ebuild,v 1.2 2008/11/14 09:43:04 robbat2 Exp $
-
-MY_EXTRAS_VER="20080310"
-
-inherit toolchain-funcs mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-# Please do not add a naive src_unpack to this ebuild
-# If you want to add a single patch, copy the ebuild to an overlay
-# and create your own mysql-extras tarball, looking at 000_index.txt
-
-src_test() {
-       make check || die "make check failed"
-       if ! use "minimal" ; then
-               if ! hasq "userpriv" ${FEATURES} ; then
-                       die "Testing with FEATURES=-userpriv is no longer supported by upstream"
-               fi
-               cd "${S}"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus1
-               local retstatus2
-               local t
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-
-               # archive_gis really sucks a lot, but it's only relevant for the
-               # USE=extraengines case
-               case ${PV} in
-                       5.0.42)
-                       mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
-                       ;;
-
-                       5.0.44|5.0.45|5.0.46|5.0.48|5.0.5[0-6]*)
-                       [ "$(tc-endian)" == "big" ] && \
-                       mysql_disable_test \
-                               "archive_gis" \
-                               "Broken in 5.0.44-56 on big-endian boxes only"
-                       ;;
-               esac
-
-               # This was a slight testcase breakage when the read_only security issue
-               # was fixed.
-               case ${PV} in
-                       5.0.54|5.0.51*)
-                       mysql_disable_test \
-                               "read_only" \
-                               "Broken in 5.0.51-54, output in wrong order"
-                       ;;
-               esac
-
-               # Ditto to read_only
-               [ "${PV}" == "5.0.51a" ] && \
-                       mysql_disable_test \
-                               "view" \
-                               "Broken in 5.0.51, output in wrong order"
-
-               # x86-specific, OOM issue with some subselects on low memory servers
-               [ "${PV}" == "5.0.54" ] && \
-                       [ "${ARCH/x86}" != "${ARCH}" ] && \
-                       mysql_disable_test \
-                               "subselect" \
-                               "Testcase needs tuning on x86 for oom condition"
-
-               # Broke with the YaSSL security issue that didn't affect Gentoo.
-               [ "${PV}" == "5.0.56" ] && \
-                       for t in openssl_1 rpl_openssl rpl_ssl ssl \
-                               ssl_8k_key ssl_compress ssl_connect ; do \
-                               mysql_disable_test \
-                                       "$t" \
-                                       "OpenSSL tests broken on 5.0.56"
-                       done
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
-
-               # We run the test protocols seperately
-               make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
-               retstatus1=$?
-               [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
-
-               make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
-               retstatus2=$?
-               [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               [[ $retstatus1 -eq 0 ]] || die "test-ns failed"
-               [[ $retstatus2 -eq 0 ]] || die "test-ps failed"
-               einfo "Tests successfully completed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.0.67.ebuild b/dev-db/mysql-community/mysql-community-5.0.67.ebuild
deleted file mode 100644 (file)
index 8127b1e..0000000
+++ /dev/null
@@ -1,111 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.0.67.ebuild,v 1.4 2008/11/18 21:53:43 robbat2 Exp $
-
-MY_EXTRAS_VER="20080601"
-
-inherit toolchain-funcs mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-# Please do not add a naive src_unpack to this ebuild
-# If you want to add a single patch, copy the ebuild to an overlay
-# and create your own mysql-extras tarball, looking at 000_index.txt
-
-src_test() {
-       make check || die "make check failed"
-       if ! use "minimal" ; then
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               cd "${S}"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus1
-               local retstatus2
-               local t
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-
-               # archive_gis really sucks a lot, but it's only relevant for the
-               # USE=extraengines case
-               case ${PV} in
-                       5.0.42)
-                       mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
-                       ;;
-
-                       5.0.4[3-9]|5.0.[56]*|5.0.70)
-                       [ "$(tc-endian)" == "big" ] && \
-                       mysql_disable_test \
-                               "archive_gis" \
-                               "Broken in 5.0.43-70 on big-endian boxes only"
-                       ;;
-               esac
-
-               # This was a slight testcase breakage when the read_only security issue
-               # was fixed.
-               case ${PV} in
-                       5.0.54|5.0.51*)
-                       mysql_disable_test \
-                               "read_only" \
-                               "Broken in 5.0.51-54, output in wrong order"
-                       ;;
-               esac
-
-               # Ditto to read_only
-               [ "${PV}" == "5.0.51a" ] && \
-                       mysql_disable_test \
-                               "view" \
-                               "Broken in 5.0.51, output in wrong order"
-
-               # x86-specific, OOM issue with some subselects on low memory servers
-               [ "${PV}" == "5.0.54" ] && \
-                       [ "${ARCH/x86}" != "${ARCH}" ] && \
-                       mysql_disable_test \
-                               "subselect" \
-                               "Testcase needs tuning on x86 for oom condition"
-
-               # Broke with the YaSSL security issue that didn't affect Gentoo.
-               [ "${PV}" == "5.0.56" ] && \
-                       for t in openssl_1 rpl_openssl rpl_ssl ssl \
-                               ssl_8k_key ssl_compress ssl_connect ; do \
-                               mysql_disable_test \
-                                       "$t" \
-                                       "OpenSSL tests broken on 5.0.56"
-                       done
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
-
-               # We run the test protocols seperately
-               make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
-               retstatus1=$?
-               [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
-               retstatus2=$?
-               [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               failures=""
-               [[ $retstatus1 -eq 0 ]] || failures="test-ns"
-               [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.0.75-r1.ebuild b/dev-db/mysql-community/mysql-community-5.0.75-r1.ebuild
deleted file mode 100644 (file)
index ad50251..0000000
+++ /dev/null
@@ -1,148 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.0.75-r1.ebuild,v 1.1 2009/02/12 09:05:55 robbat2 Exp $
-
-MY_EXTRAS_VER="20090212-0556Z"
-#SERVER_URI="http://mirror.provenscaling.com/mysql/enterprise/source/5.0/${P}.tar.gz"
-
-inherit toolchain-funcs mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-# Please do not add a naive src_unpack to this ebuild
-# If you want to add a single patch, copy the ebuild to an overlay
-# and create your own mysql-extras tarball, looking at 000_index.txt
-
-# Official test instructions:
-# USE='berkdb cluster embedded extraengine' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mysql-X.X.XX.ebuild \
-# digest clean package
-src_test() {
-       # Bug #213475 - MySQL _will_ object strenously if your machine is named
-       # localhost. Also causes weird failures.
-       [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
-
-       emake check || die "make check failed"
-       if ! use "minimal" ; then
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               cd "${S}"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus1
-               local retstatus2
-               local t
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-
-               # archive_gis really sucks a lot, but it's only relevant for the
-               # USE=extraengines case
-               case ${PV} in
-                       5.0.42)
-                       mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
-                       ;;
-
-                       5.0.4[3-9]|5.0.[56]*|5.0.70)
-                       [ "$(tc-endian)" == "big" ] && \
-                       mysql_disable_test \
-                               "archive_gis" \
-                               "Broken in 5.0.43-70 on big-endian boxes only"
-                       ;;
-               esac
-
-               # This was a slight testcase breakage when the read_only security issue
-               # was fixed.
-               case ${PV} in
-                       5.0.54|5.0.51*)
-                       mysql_disable_test \
-                               "read_only" \
-                               "Broken in 5.0.51-54, output in wrong order"
-                       ;;
-               esac
-
-               # Ditto to read_only
-               [ "${PV}" == "5.0.51a" ] && \
-                       mysql_disable_test \
-                               "view" \
-                               "Broken in 5.0.51, output in wrong order"
-
-               # x86-specific, OOM issue with some subselects on low memory servers
-               [ "${PV}" == "5.0.54" ] && \
-                       [ "${ARCH/x86}" != "${ARCH}" ] && \
-                       mysql_disable_test \
-                               "subselect" \
-                               "Testcase needs tuning on x86 for oom condition"
-
-               # Broke with the YaSSL security issue that didn't affect Gentoo.
-               [ "${PV}" == "5.0.56" ] && \
-                       for t in openssl_1 rpl_openssl rpl_ssl ssl \
-                               ssl_8k_key ssl_compress ssl_connect ; do \
-                               mysql_disable_test \
-                                       "$t" \
-                                       "OpenSSL tests broken on 5.0.56"
-                       done
-
-               # New test was broken in first time
-               # Upstream bug 41066
-               # http://bugs.mysql.com/bug.php?id=41066
-               [ "${PV}" == "5.0.72" ] && \
-                       mysql_disable_test \
-                               "status2" \
-                               "Broken in 5.0.72, new test is broken, upstream bug #41066"
-
-               # SSL certs expired shortly after the release of 5.0.76. Affects older
-               # versions as well.
-               case ${PV} in
-                       5.0.?|5.0.[1-6]*|5.0.7[0-6])
-                               for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
-                                       ssl_compress ssl_connect ; do \
-                                       mysql_disable_test \
-                                               "$t" \
-                                               "OpenSSL tests broken in 5.0.76 due to expired certificates"
-                               done
-                       ;;
-               esac
-
-               # Community-only: test broken
-               [ "${PV}" == "5.0.75" ] && \
-                       mysql_disable_test \
-                               "func_in" \
-                               "Broken in 5.0.75 under prepared statements only"
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
-
-               # We run the test protocols seperately
-               make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
-               retstatus1=$?
-               [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
-               retstatus2=$?
-               [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               failures=""
-               [[ $retstatus1 -eq 0 ]] || failures="test-ns"
-               [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.0.75.ebuild b/dev-db/mysql-community/mysql-community-5.0.75.ebuild
deleted file mode 100644 (file)
index 22dfffa..0000000
+++ /dev/null
@@ -1,148 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.0.75.ebuild,v 1.1 2009/02/12 09:05:55 robbat2 Exp $
-
-MY_EXTRAS_VER="20090211-1206Z"
-#SERVER_URI="http://mirror.provenscaling.com/mysql/enterprise/source/5.0/${P}.tar.gz"
-
-inherit toolchain-funcs mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-# Please do not add a naive src_unpack to this ebuild
-# If you want to add a single patch, copy the ebuild to an overlay
-# and create your own mysql-extras tarball, looking at 000_index.txt
-
-# Official test instructions:
-# USE='berkdb cluster embedded extraengine' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mysql-X.X.XX.ebuild \
-# digest clean package
-src_test() {
-       # Bug #213475 - MySQL _will_ object strenously if your machine is named
-       # localhost. Also causes weird failures.
-       [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
-
-       emake check || die "make check failed"
-       if ! use "minimal" ; then
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               cd "${S}"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus1
-               local retstatus2
-               local t
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-
-               # archive_gis really sucks a lot, but it's only relevant for the
-               # USE=extraengines case
-               case ${PV} in
-                       5.0.42)
-                       mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
-                       ;;
-
-                       5.0.4[3-9]|5.0.[56]*|5.0.70)
-                       [ "$(tc-endian)" == "big" ] && \
-                       mysql_disable_test \
-                               "archive_gis" \
-                               "Broken in 5.0.43-70 on big-endian boxes only"
-                       ;;
-               esac
-
-               # This was a slight testcase breakage when the read_only security issue
-               # was fixed.
-               case ${PV} in
-                       5.0.54|5.0.51*)
-                       mysql_disable_test \
-                               "read_only" \
-                               "Broken in 5.0.51-54, output in wrong order"
-                       ;;
-               esac
-
-               # Ditto to read_only
-               [ "${PV}" == "5.0.51a" ] && \
-                       mysql_disable_test \
-                               "view" \
-                               "Broken in 5.0.51, output in wrong order"
-
-               # x86-specific, OOM issue with some subselects on low memory servers
-               [ "${PV}" == "5.0.54" ] && \
-                       [ "${ARCH/x86}" != "${ARCH}" ] && \
-                       mysql_disable_test \
-                               "subselect" \
-                               "Testcase needs tuning on x86 for oom condition"
-
-               # Broke with the YaSSL security issue that didn't affect Gentoo.
-               [ "${PV}" == "5.0.56" ] && \
-                       for t in openssl_1 rpl_openssl rpl_ssl ssl \
-                               ssl_8k_key ssl_compress ssl_connect ; do \
-                               mysql_disable_test \
-                                       "$t" \
-                                       "OpenSSL tests broken on 5.0.56"
-                       done
-
-               # New test was broken in first time
-               # Upstream bug 41066
-               # http://bugs.mysql.com/bug.php?id=41066
-               [ "${PV}" == "5.0.72" ] && \
-                       mysql_disable_test \
-                               "status2" \
-                               "Broken in 5.0.72, new test is broken, upstream bug #41066"
-
-               # SSL certs expired shortly after the release of 5.0.76. Affects older
-               # versions as well.
-               case ${PV} in
-                       5.0.?|5.0.[1-6]*|5.0.7[0-6])
-                               for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
-                                       ssl_compress ssl_connect ; do \
-                                       mysql_disable_test \
-                                               "$t" \
-                                               "OpenSSL tests broken in 5.0.76 due to expired certificates"
-                               done
-                       ;;
-               esac
-
-               # Community-only: test broken
-               [ "${PV}" == "5.0.75" ] && \
-                       mysql_disable_test \
-                               "func_in" \
-                               "Broken in 5.0.75 under prepared statements only"
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
-
-               # We run the test protocols seperately
-               make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
-               retstatus1=$?
-               [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
-               retstatus2=$?
-               [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               failures=""
-               [[ $retstatus1 -eq 0 ]] || failures="test-ns"
-               [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.0.77-r1.ebuild b/dev-db/mysql-community/mysql-community-5.0.77-r1.ebuild
deleted file mode 100644 (file)
index 0f2fbb0..0000000
+++ /dev/null
@@ -1,148 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.0.77-r1.ebuild,v 1.1 2009/04/12 07:46:29 robbat2 Exp $
-
-MY_EXTRAS_VER="20090412-0644Z"
-#SERVER_URI="http://mirror.provenscaling.com/mysql/enterprise/source/5.0/${P}.tar.gz"
-
-inherit toolchain-funcs mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-# Please do not add a naive src_unpack to this ebuild
-# If you want to add a single patch, copy the ebuild to an overlay
-# and create your own mysql-extras tarball, looking at 000_index.txt
-
-# Official test instructions:
-# USE='berkdb cluster embedded extraengine' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mysql-X.X.XX.ebuild \
-# digest clean package
-src_test() {
-       # Bug #213475 - MySQL _will_ object strenously if your machine is named
-       # localhost. Also causes weird failures.
-       [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
-
-       emake check || die "make check failed"
-       if ! use "minimal" ; then
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               cd "${S}"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus1
-               local retstatus2
-               local t
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-
-               # archive_gis really sucks a lot, but it's only relevant for the
-               # USE=extraengines case
-               case ${PV} in
-                       5.0.42)
-                       mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
-                       ;;
-
-                       5.0.4[3-9]|5.0.[56]*|5.0.70)
-                       [ "$(tc-endian)" == "big" ] && \
-                       mysql_disable_test \
-                               "archive_gis" \
-                               "Broken in 5.0.43-70 on big-endian boxes only"
-                       ;;
-               esac
-
-               # This was a slight testcase breakage when the read_only security issue
-               # was fixed.
-               case ${PV} in
-                       5.0.54|5.0.51*)
-                       mysql_disable_test \
-                               "read_only" \
-                               "Broken in 5.0.51-54, output in wrong order"
-                       ;;
-               esac
-
-               # Ditto to read_only
-               [ "${PV}" == "5.0.51a" ] && \
-                       mysql_disable_test \
-                               "view" \
-                               "Broken in 5.0.51, output in wrong order"
-
-               # x86-specific, OOM issue with some subselects on low memory servers
-               [ "${PV}" == "5.0.54" ] && \
-                       [ "${ARCH/x86}" != "${ARCH}" ] && \
-                       mysql_disable_test \
-                               "subselect" \
-                               "Testcase needs tuning on x86 for oom condition"
-
-               # Broke with the YaSSL security issue that didn't affect Gentoo.
-               [ "${PV}" == "5.0.56" ] && \
-                       for t in openssl_1 rpl_openssl rpl_ssl ssl \
-                               ssl_8k_key ssl_compress ssl_connect ; do \
-                               mysql_disable_test \
-                                       "$t" \
-                                       "OpenSSL tests broken on 5.0.56"
-                       done
-
-               # New test was broken in first time
-               # Upstream bug 41066
-               # http://bugs.mysql.com/bug.php?id=41066
-               [ "${PV}" == "5.0.72" ] && \
-                       mysql_disable_test \
-                               "status2" \
-                               "Broken in 5.0.72, new test is broken, upstream bug #41066"
-
-               # SSL certs expired shortly after the release of 5.0.76. Affects older
-               # versions as well.
-               case ${PV} in
-                       5.0.?|5.0.[1-6]*|5.0.7[0-7])
-                               for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
-                                       ssl_compress ssl_connect ; do \
-                                       mysql_disable_test \
-                                               "$t" \
-                                               "OpenSSL tests broken in 5.0.76 due to expired certificates"
-                               done
-                       ;;
-               esac
-
-               # Community-only: test broken
-               [ "${PV}" == "5.0.75" ] && \
-                       mysql_disable_test \
-                               "func_in" \
-                               "Broken in 5.0.75 under prepared statements only"
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
-
-               # We run the test protocols seperately
-               make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
-               retstatus1=$?
-               [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
-               retstatus2=$?
-               [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               failures=""
-               [[ $retstatus1 -eq 0 ]] || failures="test-ns"
-               [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.0.77.ebuild b/dev-db/mysql-community/mysql-community-5.0.77.ebuild
deleted file mode 100644 (file)
index 8a270d8..0000000
+++ /dev/null
@@ -1,148 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.0.77.ebuild,v 1.1 2009/02/28 10:41:43 robbat2 Exp $
-
-MY_EXTRAS_VER="20090228-0714Z"
-#SERVER_URI="http://mirror.provenscaling.com/mysql/enterprise/source/5.0/${P}.tar.gz"
-
-inherit toolchain-funcs mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-# Please do not add a naive src_unpack to this ebuild
-# If you want to add a single patch, copy the ebuild to an overlay
-# and create your own mysql-extras tarball, looking at 000_index.txt
-
-# Official test instructions:
-# USE='berkdb cluster embedded extraengine' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mysql-X.X.XX.ebuild \
-# digest clean package
-src_test() {
-       # Bug #213475 - MySQL _will_ object strenously if your machine is named
-       # localhost. Also causes weird failures.
-       [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
-
-       emake check || die "make check failed"
-       if ! use "minimal" ; then
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               cd "${S}"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus1
-               local retstatus2
-               local t
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-
-               # archive_gis really sucks a lot, but it's only relevant for the
-               # USE=extraengines case
-               case ${PV} in
-                       5.0.42)
-                       mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
-                       ;;
-
-                       5.0.4[3-9]|5.0.[56]*|5.0.70)
-                       [ "$(tc-endian)" == "big" ] && \
-                       mysql_disable_test \
-                               "archive_gis" \
-                               "Broken in 5.0.43-70 on big-endian boxes only"
-                       ;;
-               esac
-
-               # This was a slight testcase breakage when the read_only security issue
-               # was fixed.
-               case ${PV} in
-                       5.0.54|5.0.51*)
-                       mysql_disable_test \
-                               "read_only" \
-                               "Broken in 5.0.51-54, output in wrong order"
-                       ;;
-               esac
-
-               # Ditto to read_only
-               [ "${PV}" == "5.0.51a" ] && \
-                       mysql_disable_test \
-                               "view" \
-                               "Broken in 5.0.51, output in wrong order"
-
-               # x86-specific, OOM issue with some subselects on low memory servers
-               [ "${PV}" == "5.0.54" ] && \
-                       [ "${ARCH/x86}" != "${ARCH}" ] && \
-                       mysql_disable_test \
-                               "subselect" \
-                               "Testcase needs tuning on x86 for oom condition"
-
-               # Broke with the YaSSL security issue that didn't affect Gentoo.
-               [ "${PV}" == "5.0.56" ] && \
-                       for t in openssl_1 rpl_openssl rpl_ssl ssl \
-                               ssl_8k_key ssl_compress ssl_connect ; do \
-                               mysql_disable_test \
-                                       "$t" \
-                                       "OpenSSL tests broken on 5.0.56"
-                       done
-
-               # New test was broken in first time
-               # Upstream bug 41066
-               # http://bugs.mysql.com/bug.php?id=41066
-               [ "${PV}" == "5.0.72" ] && \
-                       mysql_disable_test \
-                               "status2" \
-                               "Broken in 5.0.72, new test is broken, upstream bug #41066"
-
-               # SSL certs expired shortly after the release of 5.0.76. Affects older
-               # versions as well.
-               case ${PV} in
-                       5.0.?|5.0.[1-6]*|5.0.7[0-7])
-                               for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
-                                       ssl_compress ssl_connect ; do \
-                                       mysql_disable_test \
-                                               "$t" \
-                                               "OpenSSL tests broken in 5.0.76 due to expired certificates"
-                               done
-                       ;;
-               esac
-
-               # Community-only: test broken
-               [ "${PV}" == "5.0.75" ] && \
-                       mysql_disable_test \
-                               "func_in" \
-                               "Broken in 5.0.75 under prepared statements only"
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
-
-               # We run the test protocols seperately
-               make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
-               retstatus1=$?
-               [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
-               retstatus2=$?
-               [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               failures=""
-               [[ $retstatus1 -eq 0 ]] || failures="test-ns"
-               [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
-               has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.1.14_beta-r1.ebuild b/dev-db/mysql-community/mysql-community-5.1.14_beta-r1.ebuild
deleted file mode 100644 (file)
index f8d89d2..0000000
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.1.14_beta-r1.ebuild,v 1.3 2008/11/14 09:43:04 robbat2 Exp $
-
-MY_EXTRAS_VER="20070105"
-SERVER_URI="mirror://mysql/Downloads/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz"
-PBXT_VERSION="0.9.73-beta"
-
-inherit mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-src_test() {
-       make check || die "make check failed"
-       if ! use "minimal" ; then
-               cd "${S}/mysql-test"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus
-               local t
-               local testopts="--force"
-
-               # sandbox make ndbd zombie
-               hasq "sandbox" ${FEATURES} && testopts="${testopts} --skip-ndb"
-
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # mysqladmin start before dir creation
-               mkdir "${S}"/mysql-test/var{,/log}
-
-               if [[ ${UID} -eq 0 ]] ; then
-                       mysql_disable_test  "im_cmd_line"          "fail as root"
-                       mysql_disable_test  "im_daemon_life_cycle" "fail as root"
-                       mysql_disable_test  "im_instance_conf"     "fail as root"
-                       mysql_disable_test  "im_life_cycle"        "fail as root"
-                       mysql_disable_test  "im_options"           "fail as root"
-                       mysql_disable_test  "im_utils"             "fail as root"
-                       mysql_disable_test  "trigger"              "fail as root"
-               fi
-
-               use "extraengine" && mysql_disable_test "federated" "fail with extraengine"
-
-               mysql_disable_test "view" "FIXME: fail because now we are in year 2007"
-
-               # from Makefile.am:
-               retstatus=1
-               ./mysql-test-run.pl ${testopts} --mysqld=--binlog-format=mixed \
-               && ./mysql-test-run.pl ${testopts} --ps-protocol --mysqld=--binlog-format=row \
-               && ./mysql-test-run.pl ${testopts} --ps-protocol --mysqld=--binlog-format=mixed \
-               && ./mysql-test-run.pl ${testopts} --mysqld=--binlog-format=row \
-               && retstatus=0
-
-               # Just to be sure ;)
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               [[ $retstatus -eq 0 ]] || die "make test failed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.1.15_beta.ebuild b/dev-db/mysql-community/mysql-community-5.1.15_beta.ebuild
deleted file mode 100644 (file)
index 9f619ba..0000000
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.1.15_beta.ebuild,v 1.4 2008/11/14 09:43:04 robbat2 Exp $
-
-MY_EXTRAS_VER="20070217"
-SERVER_URI="mirror://gentoo/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz"
-PBXT_VERSION="0.9.8-beta"
-
-inherit mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-src_test() {
-       make check || die "make check failed"
-       if ! use "minimal" ; then
-               cd "${S}/mysql-test"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus
-               local t
-               local testopts="--force"
-
-               # sandbox make ndbd zombie
-               hasq "sandbox" ${FEATURES} && testopts="${testopts} --skip-ndb"
-
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # mysqladmin start before dir creation
-               mkdir "${S}"/mysql-test/var{,/log}
-
-               if [[ ${UID} -eq 0 ]] ; then
-                       mysql_disable_test  "im_cmd_line"          "fail as root"
-                       mysql_disable_test  "im_daemon_life_cycle" "fail as root"
-                       mysql_disable_test  "im_instance_conf"     "fail as root"
-                       mysql_disable_test  "im_life_cycle"        "fail as root"
-                       mysql_disable_test  "im_options"           "fail as root"
-                       mysql_disable_test  "im_utils"             "fail as root"
-                       mysql_disable_test  "trigger"              "fail as root"
-               fi
-
-               use "extraengine" && mysql_disable_test "federated" "fail with extraengine"
-
-               mysql_disable_test "view" "Already fixed: fail because now we are in year 2007"
-
-               # from Makefile.am:
-               retstatus=1
-               ./mysql-test-run.pl ${testopts} --mysqld=--binlog-format=mixed \
-               && ./mysql-test-run.pl ${testopts} --ps-protocol --mysqld=--binlog-format=row \
-               && ./mysql-test-run.pl ${testopts} --ps-protocol --mysqld=--binlog-format=mixed \
-               && ./mysql-test-run.pl ${testopts} --mysqld=--binlog-format=row \
-               && retstatus=0
-
-               # Just to be sure ;)
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               [[ $retstatus -eq 0 ]] || die "make test failed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}
diff --git a/dev-db/mysql-community/mysql-community-5.1.21_beta.ebuild b/dev-db/mysql-community/mysql-community-5.1.21_beta.ebuild
deleted file mode 100644 (file)
index d215c90..0000000
+++ /dev/null
@@ -1,66 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-community/mysql-community-5.1.21_beta.ebuild,v 1.3 2008/11/14 09:43:04 robbat2 Exp $
-
-MY_EXTRAS_VER="20070916"
-#SERVER_URI="mirror://gentoo/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz"
-PBXT_VERSION="0.9.8-beta"
-
-inherit mysql
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
-
-src_test() {
-       make check || die "make check failed"
-       if ! use "minimal" ; then
-               cd "${S}/mysql-test"
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               local retstatus
-               local t
-               local testopts="--force"
-
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # mysqladmin start before dir creation
-               mkdir "${S}"/mysql-test/var{,/log}
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-
-               # sandbox make ndbd zombie
-               #X#hasq "sandbox" ${FEATURES} && testopts="${testopts} --skip-ndb"
-
-               #X#if [[ ${UID} -eq 0 ]] ; then
-               #X#     einfo "Disabling IM tests due to failure as root"
-               #X#     mysql_disable_test  "im_cmd_line"          "fail as root"
-               #X#     mysql_disable_test  "im_daemon_life_cycle" "fail as root"
-               #X#     mysql_disable_test  "im_instance_conf"     "fail as root"
-               #X#     mysql_disable_test  "im_life_cycle"        "fail as root"
-               #X#     mysql_disable_test  "im_options"           "fail as root"
-               #X#     mysql_disable_test  "im_utils"             "fail as root"
-               #X#     mysql_disable_test  "trigger"              "fail as root"
-               #X#fi
-
-               #use "extraengine" && mysql_disable_test "federated" "fail with extraengine"
-
-               #mysql_disable_test "view" "Already fixed: fail because now we are in year 2007"
-
-               # from Makefile.am:
-               retstatus=1
-               ./mysql-test-run.pl ${testopts} --mysqld=--binlog-format=mixed \
-               && ./mysql-test-run.pl ${testopts} --mysqld=--binlog-format=row \
-               && ./mysql-test-run.pl ${testopts} --ps-protocol --mysqld=--binlog-format=row \
-               && ./mysql-test-run.pl ${testopts} --ps-protocol --mysqld=--binlog-format=mixed \
-               && retstatus=0
-
-               # Just to be sure ;)
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-               [[ $retstatus -eq 0 ]] || die "make test failed"
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}